Index: code/branches/cpp11_v2/src/libraries/core/input/HalfAxis.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/HalfAxis.h	(revision 10778)
+++ code/branches/cpp11_v2/src/libraries/core/input/HalfAxis.h	(revision 10817)
@@ -56,6 +56,6 @@
         using Button::execute;
         bool execute();
-        bool addParamCommand(ParamCommand* command);
-        void clear();
+        bool addParamCommand(ParamCommand* command) override;
+        void clear() override;
         void reset();
 
Index: code/branches/cpp11_v2/src/libraries/core/input/InputBuffer.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/InputBuffer.h	(revision 10778)
+++ code/branches/cpp11_v2/src/libraries/core/input/InputBuffer.h	(revision 10817)
@@ -66,5 +66,5 @@
         { }
         virtual ~InputBufferListenerTuple() { }
-        void callFunction()
+        void callFunction() override
         {
             (listener_->*function_)();
@@ -165,13 +165,13 @@
                 { if (this->cursor_ > 0) { --this->cursor_; } }
 
-            void buttonPressed(const KeyEvent& evt);
+            void buttonPressed(const KeyEvent& evt) override;
 
         private:
             bool charIsAllowed(const char& input);
 
-            void buttonHeld   (const KeyEvent& evt);
+            void buttonHeld   (const KeyEvent& evt) override;
             void processKey   (const KeyEvent& evt);
 
-            void keyboardUpdated(float dt);
+            void keyboardUpdated(float dt) override;
 
             std::string buffer_;
Index: code/branches/cpp11_v2/src/libraries/core/input/InputCommands.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/InputCommands.h	(revision 10778)
+++ code/branches/cpp11_v2/src/libraries/core/input/InputCommands.h	(revision 10817)
@@ -76,7 +76,7 @@
     {
     public:
-        bool execute(float abs = 1.0f, float rel = 1.0f);
-        CommandEvaluation* getEvaluation();
-        virtual SimpleCommand* clone() { return new SimpleCommand(*this); }
+        bool execute(float abs = 1.0f, float rel = 1.0f) override;
+        CommandEvaluation* getEvaluation() override;
+        virtual SimpleCommand* clone() override { return new SimpleCommand(*this); }
 
         CommandEvaluation evaluation_;
@@ -104,7 +104,7 @@
     public:
         ParamCommand() : scale_(1.0f), paramCommand_(nullptr) { }
-        bool execute(float abs = 1.0f, float rel = 1.0f);
-        CommandEvaluation* getEvaluation();
-        virtual ParamCommand* clone() { return new ParamCommand(*this); }
+        bool execute(float abs = 1.0f, float rel = 1.0f) override;
+        CommandEvaluation* getEvaluation() override;
+        virtual ParamCommand* clone() override { return new ParamCommand(*this); }
 
         float scale_;
Index: code/branches/cpp11_v2/src/libraries/core/input/InputDevice.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/InputDevice.h	(revision 10778)
+++ code/branches/cpp11_v2/src/libraries/core/input/InputDevice.h	(revision 10817)
@@ -153,5 +153,5 @@
 
         //! Captures OIS events (which then get distributed to the derived class) and creates the button held events
-        void update(const Clock& time)
+        void update(const Clock& time) override
         {
             oisDevice_->capture();
@@ -160,5 +160,5 @@
             for (unsigned int iB = 0; iB < pressedButtons_.size(); ++iB)
                 for (unsigned int iS = 0; iS < inputStates_.size(); ++iS)
-                    inputStates_[iS]->buttonEvent<ButtonEvent::THold, typename Traits::ButtonTypeParam>(
+                    inputStates_[iS]->template buttonEvent<ButtonEvent::THold, typename Traits::ButtonTypeParam>(
                         this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(pressedButtons_[iB]));
 
@@ -171,5 +171,5 @@
 
         //! Clears the list of pressed buttons and calls the derived class's method
-        void clearBuffers()
+        void clearBuffers() override
         {
             pressedButtons_.clear();
@@ -180,5 +180,5 @@
         OISDeviceClass* getOISDevice()   { return this->oisDevice_; }
         // Returns the name of the derived class as string
-        std::string getClassName() const { return DeviceClass::getClassNameImpl(); }
+        std::string getClassName() const override { return DeviceClass::getClassNameImpl(); }
 
     protected:
@@ -197,5 +197,5 @@
             // Call states
             for (unsigned int i = 0; i < inputStates_.size(); ++i)
-                inputStates_[i]->buttonEvent<ButtonEvent::TPress, typename Traits::ButtonTypeParam>(this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(button));
+                inputStates_[i]->template buttonEvent<ButtonEvent::TPress, typename Traits::ButtonTypeParam>(this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(button));
         }
 
@@ -219,5 +219,5 @@
             // Call states
             for (unsigned int i = 0; i < inputStates_.size(); ++i)
-                inputStates_[i]->buttonEvent<ButtonEvent::TRelease, typename Traits::ButtonTypeParam>(this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(button));
+                inputStates_[i]->template buttonEvent<ButtonEvent::TRelease, typename Traits::ButtonTypeParam>(this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(button));
         }
 
Index: code/branches/cpp11_v2/src/libraries/core/input/InputManager.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/InputManager.h	(revision 10778)
+++ code/branches/cpp11_v2/src/libraries/core/input/InputManager.h	(revision 10817)
@@ -208,5 +208,5 @@
 
         // From WindowEventListener
-        void windowFocusChanged(bool bFocus);
+        void windowFocusChanged(bool bFocus) override;
 
     private: // variables
Index: code/branches/cpp11_v2/src/libraries/core/input/InputState.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/InputState.h	(revision 10778)
+++ code/branches/cpp11_v2/src/libraries/core/input/InputState.h	(revision 10817)
@@ -157,5 +157,5 @@
         ~InputState() { }
 
-        void JoyStickQuantityChanged(const std::vector<JoyStick*>& joyStickList);
+        void JoyStickQuantityChanged(const std::vector<JoyStick*>& joyStickList) override;
 
         //! Sets the priority (only to be used by the InputManager!)
Index: code/branches/cpp11_v2/src/libraries/core/input/JoyStick.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/JoyStick.h	(revision 10778)
+++ code/branches/cpp11_v2/src/libraries/core/input/JoyStick.h	(revision 10817)
@@ -77,6 +77,6 @@
 
     private:
-        void calibrationStarted();
-        void calibrationStopped();
+        void calibrationStarted() override;
+        void calibrationStopped() override;
         void evaluateCalibration();
 
@@ -86,5 +86,5 @@
 
         //! OIS event handler
-        bool buttonPressed (const OIS::JoyStickEvent &arg, int button)
+        bool buttonPressed (const OIS::JoyStickEvent &arg, int button) override
         {
             super::buttonPressed(static_cast<JoyStickButtonCode::ByEnum>(button));
@@ -93,5 +93,5 @@
 
         //! OIS event handler
-        bool buttonReleased(const OIS::JoyStickEvent &arg, int button)
+        bool buttonReleased(const OIS::JoyStickEvent &arg, int button) override
         {
             super::buttonReleased(static_cast<JoyStickButtonCode::ByEnum>(button));
@@ -99,9 +99,9 @@
         }
 
-        bool axisMoved     (const OIS::JoyStickEvent &arg, int axis);
-        bool sliderMoved   (const OIS::JoyStickEvent &arg, int id);
-        bool povMoved      (const OIS::JoyStickEvent &arg, int id);
+        bool axisMoved     (const OIS::JoyStickEvent &arg, int axis) override;
+        bool sliderMoved   (const OIS::JoyStickEvent &arg, int id) override;
+        bool povMoved      (const OIS::JoyStickEvent &arg, int id) override;
         //! OIS event handler (don't remove that because of OIS version issues!)
-        bool vector3Moved  (const OIS::JoyStickEvent &arg, int id) { return true; }
+        bool vector3Moved  (const OIS::JoyStickEvent &arg, int id) override { return true; }
 
         //! Returns the class name as string
Index: code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.h	(revision 10778)
+++ code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.h	(revision 10817)
@@ -84,26 +84,26 @@
         void compilePointerLists();
         // from JoyStickQuantityListener interface
-        virtual void JoyStickQuantityChanged(const std::vector<JoyStick*>& joyStickList);
-
-        void allDevicesUpdated(float dt);
-        void mouseUpdated(float dt);
-        void joyStickUpdated(unsigned int joyStick, float dt);
+        virtual void JoyStickQuantityChanged(const std::vector<JoyStick*>& joyStickList) override;
+
+        void allDevicesUpdated(float dt) override;
+        void mouseUpdated(float dt) override;
+        void joyStickUpdated(unsigned int joyStick, float dt) override;
         // internal
         void tickHalfAxis(HalfAxis& halfAxis);
 
-        void buttonPressed (const KeyEvent& evt);
-        void buttonReleased(const KeyEvent& evt);
-        void buttonHeld    (const KeyEvent& evt);
-
-        void buttonPressed (MouseButtonCode::ByEnum button);
-        void buttonReleased(MouseButtonCode::ByEnum button);
-        void buttonHeld    (MouseButtonCode::ByEnum button);
-        void mouseMoved    (IntVector2 abs, IntVector2 rel, IntVector2 clippingSize);
-        void mouseScrolled (int abs, int rel);
-
-        void buttonPressed (unsigned int device, JoyStickButtonCode::ByEnum button);
-        void buttonReleased(unsigned int device, JoyStickButtonCode::ByEnum button);
-        void buttonHeld    (unsigned int device, JoyStickButtonCode::ByEnum button);
-        void axisMoved     (unsigned int device, unsigned int axis, float value);
+        void buttonPressed (const KeyEvent& evt) override;
+        void buttonReleased(const KeyEvent& evt) override;
+        void buttonHeld    (const KeyEvent& evt) override;
+
+        void buttonPressed (MouseButtonCode::ByEnum button) override;
+        void buttonReleased(MouseButtonCode::ByEnum button) override;
+        void buttonHeld    (MouseButtonCode::ByEnum button) override;
+        void mouseMoved    (IntVector2 abs, IntVector2 rel, IntVector2 clippingSize) override;
+        void mouseScrolled (int abs, int rel) override;
+
+        void buttonPressed (unsigned int device, JoyStickButtonCode::ByEnum button) override;
+        void buttonReleased(unsigned int device, JoyStickButtonCode::ByEnum button) override;
+        void buttonHeld    (unsigned int device, JoyStickButtonCode::ByEnum button) override;
+        void axisMoved     (unsigned int device, unsigned int axis, float value) override;
 
     protected: // variables
Index: code/branches/cpp11_v2/src/libraries/core/input/KeyDetector.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/KeyDetector.h	(revision 10778)
+++ code/branches/cpp11_v2/src/libraries/core/input/KeyDetector.h	(revision 10817)
@@ -51,5 +51,5 @@
 
         void callback(const std::string& name);
-        void JoyStickQuantityChanged(const std::vector<JoyStick*>& joyStickList);
+        void JoyStickQuantityChanged(const std::vector<JoyStick*>& joyStickList) override;
         void assignCommands();
 
Index: code/branches/cpp11_v2/src/libraries/core/input/Keyboard.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/Keyboard.h	(revision 10778)
+++ code/branches/cpp11_v2/src/libraries/core/input/Keyboard.h	(revision 10817)
@@ -75,6 +75,6 @@
         }
 
-        bool keyPressed(const OIS::KeyEvent& arg);
-        bool keyReleased(const OIS::KeyEvent& arg);
+        bool keyPressed(const OIS::KeyEvent& arg) override;
+        bool keyReleased(const OIS::KeyEvent& arg) override;
 
         //! Returns the class name as string
Index: code/branches/cpp11_v2/src/libraries/core/input/Mouse.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/Mouse.h	(revision 10778)
+++ code/branches/cpp11_v2/src/libraries/core/input/Mouse.h	(revision 10817)
@@ -74,5 +74,5 @@
     private:
         //! OIS event handler
-        bool mousePressed(const OIS::MouseEvent &arg, OIS::MouseButtonID id)
+        bool mousePressed(const OIS::MouseEvent &arg, OIS::MouseButtonID id) override
         {
             super::buttonPressed(static_cast<MouseButtonCode::ByEnum>(id));
@@ -81,5 +81,5 @@
 
         //! OIS event handler
-        bool mouseReleased(const OIS::MouseEvent &arg, OIS::MouseButtonID id)
+        bool mouseReleased(const OIS::MouseEvent &arg, OIS::MouseButtonID id) override
         {
             super::buttonReleased(static_cast<MouseButtonCode::ByEnum>(id));
@@ -87,7 +87,7 @@
         }
 
-        bool mouseMoved(const OIS::MouseEvent &arg);
+        bool mouseMoved(const OIS::MouseEvent &arg) override;
 
-        void windowResized(unsigned int newWidth, unsigned int newHeight);
+        void windowResized(unsigned int newWidth, unsigned int newHeight) override;
 
         // Returns the class name as string
